Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class Embedder

    java.lang.Object
      org.jbehave.core.embedder.Embedder

    public class Embedder

extends Object

The Embedder is a facade allowing all functionality to be embedded into other run contexts, such as IDEs (e.g. via JUnit support) or CLIs (via Ant or Maven).

Nested Class Summary
`static class` | `Embedder.AnnotatedEmbedderRunFailed`
`static interface` | `Embedder.EmbedderFailureStrategy`
`static class` | `Embedder.RunningEmbeddablesFailed`
`static class` | `Embedder.RunningStoriesFailed`
`static class` | `Embedder.ThrowingRunningStoriesFailed`
`static class` | `Embedder.ViewGenerationFailed`

Constructor Summary
`Embedder()`
`Embedder(StoryMapper storyMapper, StoryRunner storyRunner, EmbedderMonitor embedderMonitor)`

Method Summary
`List<CandidateSteps>` | `candidateSteps()`
`EmbedderClassLoader` | `classLoader()`
`Configuration` | `configuration()`
`EmbedderControls` | `embedderControls()`
`Embedder.EmbedderFailureStrategy` | `embedderFailureStrategy()`
`EmbedderMonitor` | `embedderMonitor()`
`ExecutorService` | `executorService()`
`void` | `generateCrossReference()`
`void` | `generateReportsView()`
`void` | `generateReportsView(File outputDirectory, List<String> formats, Properties viewResources)`
`boolean` | `hasExecutorService()`
`void` | `mapStoriesAsPaths(List<String> storyPaths)`
`MetaFilter` | `metaFilter()`
`List<String>` | `metaFilters()`
`void` | `processSystemProperties()`
`void` | `reportMatchingStepdocs(String stepAsString)`
`void` | `reportStepdocs()`
`void` | `reportStepdocs(Configuration configuration, List<CandidateSteps> candidateSteps)`
`void` | `reportStepdocsAsEmbeddables(List<String> classNames)`
`void` | `runAsEmbeddables(List<String> classNames)`
`void` | `runStoriesAsPaths(List<String> storyPaths)`
`void` | `runStoriesWithAnnotatedEmbedderRunner(List<String> classNames)`
`protected void` | `shutdownExecutorService()` Shuts down executor service, if it was created by Embedder.
`InjectableStepsFactory` | `stepsFactory()`
`StoryManager` | `storyManager()`
`StoryRunner` | `storyRunner()`
`Properties` | `systemProperties()`
`String` | `toString()`
`void` | `useCandidateSteps(List<CandidateSteps> candidateSteps)`
`void` | `useClassLoader(EmbedderClassLoader classLoader)`
`void` | `useConfiguration(Configuration configuration)`
`void` | `useEmbedderControls(EmbedderControls embedderControls)`
`void` | `useEmbedderFailureStrategy(Embedder.EmbedderFailureStrategy failureStategy)`
`void` | `useEmbedderMonitor(EmbedderMonitor embedderMonitor)`
`void` | `useExecutorService(ExecutorService executorService)`
`void` | `useMetaFilters(List<String> metaFilters)`
`void` | `useStepsFactory(InjectableStepsFactory stepsFactory)`
`void` | `useStoryRunner(StoryRunner storyRunner)`
`void` | `useSystemProperties(Properties systemProperties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Embedder

    public Embedder()

### Embedder

    public Embedder(StoryMapper storyMapper,
                    StoryRunner storyRunner,
                    EmbedderMonitor embedderMonitor)

Method Detail

### mapStoriesAsPaths

    public void mapStoriesAsPaths(List<String> storyPaths)

### runAsEmbeddables

    public void runAsEmbeddables(List<String> classNames)

### runStoriesWithAnnotatedEmbedderRunner

    public void runStoriesWithAnnotatedEmbedderRunner(List<String> classNames)

### runStoriesAsPaths

    public void runStoriesAsPaths(List<String> storyPaths)

### generateReportsView

    public void generateReportsView()

### generateReportsView

    public void generateReportsView(File outputDirectory,
                                    List<String> formats,
                                    Properties viewResources)

### generateCrossReference

    public void generateCrossReference()

### reportStepdocs

    public void reportStepdocs()

### reportStepdocsAsEmbeddables

    public void reportStepdocsAsEmbeddables(List<String> classNames)

### reportStepdocs

    public void reportStepdocs(Configuration configuration,
                               List<CandidateSteps> candidateSteps)

### reportMatchingStepdocs

    public void reportMatchingStepdocs(String stepAsString)

### processSystemProperties

    public void processSystemProperties()

### classLoader

    public EmbedderClassLoader classLoader()

### configuration

    public Configuration configuration()

### candidateSteps

    public List<CandidateSteps> candidateSteps()

### stepsFactory

    public InjectableStepsFactory stepsFactory()

### embedderControls

    public EmbedderControls embedderControls()

### embedderMonitor

    public EmbedderMonitor embedderMonitor()

### embedderFailureStrategy

    public Embedder.EmbedderFailureStrategy embedderFailureStrategy()

### hasExecutorService

    public boolean hasExecutorService()

### executorService

    public ExecutorService executorService()

### shutdownExecutorService

    protected void shutdownExecutorService()

  Shuts down executor service, if it was created by Embedder. ExecutorServices provided by the `useExecutorService(ExecutorService)` need to be managed by the provider.

### storyManager

    public StoryManager storyManager()

### metaFilters

    public List<String> metaFilters()

### metaFilter

    public MetaFilter metaFilter()

### storyRunner

    public StoryRunner storyRunner()

### systemProperties

    public Properties systemProperties()

### useClassLoader

    public void useClassLoader(EmbedderClassLoader classLoader)

### useConfiguration

    public void useConfiguration(Configuration configuration)

### useCandidateSteps

    public void useCandidateSteps(List<CandidateSteps> candidateSteps)

### useStepsFactory

    public void useStepsFactory(InjectableStepsFactory stepsFactory)

### useEmbedderControls

    public void useEmbedderControls(EmbedderControls embedderControls)

### useEmbedderFailureStrategy

    public void useEmbedderFailureStrategy(Embedder.EmbedderFailureStrategy failureStategy)

### useEmbedderMonitor

    public void useEmbedderMonitor(EmbedderMonitor embedderMonitor)

### useExecutorService

    public void useExecutorService(ExecutorService executorService)

### useMetaFilters

    public void useMetaFilters(List<String> metaFilters)

### useStoryRunner

    public void useStoryRunner(StoryRunner storyRunner)

### useSystemProperties

    public void useSystemProperties(Properties systemProperties)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.